net.ME1312.SubServers.Bungee.Host

## Class SubCreator

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Host.SubCreator

Direct Known Subclasses:
  InternalSubCreator

    public abstract class SubCreator
    extends java.lang.Object

SubCreator Layout Class

Author:
  ME1312

### Nested Class Summary

Nested Classes
`static class` `SubCreator.ServerType`

### Constructor Summary

Constructors
Constructor and Description
`SubCreator()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `create(java.lang.String name, SubCreator.ServerType type, Version version, int memory, int port)` Create a SubServer
`abstract boolean` `create(java.util.UUID player, java.lang.String name, SubCreator.ServerType type, Version version, int memory, int port)` Create a SubServer
`abstract java.lang.String` `getGitBashDirectory()` Gets the Git Bash install directory
`abstract Host` `getHost()` Gets the host this creator belongs to
`abstract boolean` `isBusy()` Gets the status of SubCreator
`abstract void` `terminate()` Terminate SubCreator
`abstract void` `waitFor()` Wait for SubCreator to Finish

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubCreator

    public SubCreator()

### Method Detail

#### create

    public abstract boolean create(java.util.UUID player,
                                   java.lang.String name,
                                   SubCreator.ServerType type,
                                   Version version,
                                   int memory,
                                   int port)

Create a SubServer

Parameters:
  `player` - Player Creating
  `name` - Server Name
  `type` - Server Type
  `version` - Server Version
  `memory` - Server Memory Amount (in MB)
  `port` - Server Port Number
Returns:
  Success Status

#### create

    public boolean create(java.lang.String name,
                          SubCreator.ServerType type,
                          Version version,
                          int memory,
                          int port)

Create a SubServer

Parameters:
  `name` - Server Name
  `type` - Server Type
  `version` - Server Version
  `memory` - Server Memory Amount (in MB)
  `port` - Server Port Number
Returns:
  Success Status

#### terminate

    public abstract void terminate()

Terminate SubCreator

#### waitFor

    public abstract void waitFor()
                          throws java.lang.InterruptedException

Wait for SubCreator to Finish

Throws:
  `java.lang.InterruptedException`

#### getHost

    public abstract Host getHost()

Gets the host this creator belongs to

Returns:
  Host

#### getGitBashDirectory

    public abstract java.lang.String getGitBashDirectory()

Gets the Git Bash install directory

Returns:
  Git Bash Directory

#### isBusy

    public abstract boolean isBusy()

Gets the status of SubCreator

Returns:
  SubCreator Status